Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.analyst.commands
Class CmdCode

    java.lang.Object
      org.encog.app.analyst.commands.Cmd
          org.encog.app.analyst.commands.CmdCode

    public class CmdCode

extends Cmd

This command is used to generate the binary EGB file from a CSV file. The resulting file can be used for training.

Field Summary
`static String` | `COMMAND_NAME` The name of this command.

Constructor Summary
`CmdCode(EncogAnalyst analyst)` Construct this generate command.

Method Summary
`boolean` | `executeCommand(String args)` Execute this command.
`String` | `getName()`

Methods inherited from class org.encog.app.analyst.commands.Cmd
`getAnalyst, getKfold, getProp, getScript, obtainCross, obtainMethod, obtainTrainingSet, setKfold, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COMMAND_NAME

    public static final String COMMAND_NAME

  The name of this command.

  See Also:
    Constant Field Values

Constructor Detail

### CmdCode

    public CmdCode(EncogAnalyst analyst)

  Construct this generate command.

  Parameters:
    `analyst` - The analyst to use.

Method Detail

### executeCommand

    public boolean executeCommand(String args)

  Execute this command.

  Specified by:
    `executeCommand` in class `Cmd`
  Parameters:
    `args` - The arguments for this command.
  Returns:
    True if processing should stop after this command.

### getName

    public String getName()

  Specified by:
    `getName` in class `Cmd`
  Returns:
    The name of this command.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.